*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

html, body {
  width: 100%;
  height: 100%;
  overflow-x: hidden; /* Impede rolagem horizontal */
}


/* Estilos para o tema escuro */
html[data-theme="dark"] .light {
    background-color: #000;
  }

  html[data-theme="dark"]  .inverted {
    background-color: #000;
  }
  
  html[data-theme="dark"] .containerA {
    background-color: #000;
  }
  

.containerA {
    margin-left: 0.1em;
    margin-right: 0.1rem;
    margin-bottom: 0rem;
    margin-top: 0.3rem;
    max-width: 100%;
    text-align: center;
    overflow-x: hidden; /* Esconde qualquer conteúdo que ultrapasse a largura da tela */
    box-sizing: border-box;
}

/* Estilo base da seção */
.section {
    padding: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow-x: hidden; /* Esconde qualquer conteúdo que ultrapasse a largura da tela */
  }
  
  /* Background de acordo com o tema invertido */
  .light {
    background-color: #f6f6f6;
  }
  .inverted {
    background-color: #f3f1e5
  }
  
  /* Container para a imagem */
  .imageContainer {
    flex: 1 1 40%;
  }
  .image {
    width: 90%; 
    height: auto;
  }
  
  /* Container para o texto */
  .textContainer {
    flex: 1 1 80%;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  
  /* Classes para controlar a ordem dos elementos */
  .order1 {
    order: 1;
  }
  .order2 {
    order: 2;
  }
  
  /* Estilos para o título */
  .title {
    color: #892f2d;
    font-size: 3.2vw;
    margin-bottom: 0.5rem;
  }
  
  /* Estilos para o texto */
  .text {
    font-size: 2.1vw;
    margin-bottom: 0.5rem;
  }


